Imports BDNotasAlumnos

Class MainWindow

  Private Sub Window_Loaded(sender As System.Object, e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    ' Tabla alumnos
    Dim dt1 As New DataSetBDNotasAlumnos.alumnosDataTable()
    Dim t1 As New DataSetBDNotasAlumnosTableAdapters.alumnosTableAdapter()
    t1.Fill(dt1)
    dt1.WriteXmlSchema("xsd_alumnos.xml")
    dt1.WriteXml("datos_alumnos.xml")
    ' Tabla asignaturas
    Dim dt2 As New DataSetBDNotasAlumnos.asignaturasDataTable()
    Dim t2 As New DataSetBDNotasAlumnosTableAdapters.asignaturasTableAdapter()
    t2.Fill(dt2)
    dt2.WriteXmlSchema("xsd_asignaturas.xml")
    dt2.WriteXml("datos_asignaturas.xml")
    ' Tabla alums_asigs
    Dim dt3 As New DataSetBDNotasAlumnos.alums_asigsDataTable()
    Dim t3 As New DataSetBDNotasAlumnosTableAdapters.alums_asigsTableAdapter()
    t3.Fill(dt3)
    dt3.WriteXmlSchema("xsd_alums_asigs.xml")
    dt3.WriteXml("datos_alums_asigs.xml")
  End Sub
End Class
